> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/catalog-families/{id}/order
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{id}/order:
    patch:
      tags:
        - Catalog Families
      summary: Reorder
      operationId: CatalogFamiliesController_reorder_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderCatalogFamilyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogFamilyOrderRevisionResponseDto'
components:
  schemas:
    ReorderCatalogFamilyDto:
      type: object
      properties:
        expectedRevision:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        anchorFamilyId:
          type: string
        placement:
          type: string
          enum:
            - before
            - after
      required:
        - expectedRevision
        - anchorFamilyId
        - placement
      additionalProperties: false
    CatalogFamilyOrderRevisionResponseDto:
      type: object
      properties:
        orderRevision:
          type: number
      required:
        - orderRevision

````